# H460P_PresenceState Class Reference

`#include <h460pres.h>`

## Public Types

| e_hidden
| e_available
| e_online
| e_offline
| e_onCall
| e_voiceMail
| e_notAvailable
| e_generic
enum | Choices { e_hidden, e_available, e_online, e_offline, e_onCall, e_voiceMail, e_notAvailable, e_generic }

## Public Member Functions

| H460P_PresenceState (unsigned tag=0, TagClass tagClass=UniversalTagClass)
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H460P_PresenceState::Choices

Enumerator:

  e_hidden |
  e_available |
  e_online |
  e_offline |
  e_onCall |
  e_voiceMail |
  e_notAvailable |
  e_generic |

## Constructor & Destructor Documentation

H460P_PresenceState::H460P_PresenceState | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PObject* H460P_PresenceState::Clone | ( |  | ) | const

PBoolean H460P_PresenceState::CreateObject | ( |  | ) |

The documentation for this class was generated from the following file:

- h460pres.h